> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Payout Batches

> List all payout batches created by your application.



## OpenAPI

````yaml /v2.yaml get /v2/payout-batches
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/payout-batches:
    get:
      tags:
        - payout-batches
      summary: List all Payout Batches
      description: List all payout batches created by your application.
      operationId: get-payout-batches
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          description: A limit on the number of objects to be returned, between 1 and 100.
        - schema:
            type: string
            format: uuid
          in: query
          name: starting_after
          description: >-
            A cursor for use in pagination. `starting_after` is an object ID
            that defines your place in the list. For instance, if you make a
            list request and receive 100 objects, ending with `aaa`, your
            subsequent call can include `starting_after`=`aaa` in order to fetch
            the next page of the list.
        - schema:
            type: string
            format: uuid
          in: query
          name: ending_before
          description: >-
            A cursor for use in pagination. `ending_before` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `aaa`, your subsequent
            call can include `ending_before`=`aaa` in order to fetch the
            previous page of the list.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_more:
                    type: boolean
                    description: '`true` if there are more payout batches.'
                  data:
                    type: array
                    description: Array of payout batch objects.
                    items:
                      $ref: '#/components/schemas/payout-batch-response'
components:
  schemas:
    payout-batch-response:
      title: payout-batch-response
      type: object
      description: Basic payout batch response
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the payout batch.
        created:
          type: string
          format: date-time
          description: Timestamp when the batch was created.
        idempotency_key:
          type: string
          format: uuid
          description: The idempotency key provided when creating the batch.
        status:
          type: string
          enum:
            - created
            - processing
            - paying_out
            - completed
          description: Current status of the batch processing.
        metadata:
          type:
            - string
            - object
          description: The metadata attached to the batch.
      required:
        - id
        - created
        - status
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````